(function () {
    var xhzx = {};
    xhzx.ErrorBackHome = function () {
        api.hideProgress();
        dialog.alert({
            title: '提示',
            msg: '您的帐号异常,请重新登录。',
            buttons: ['确定']
        }, function (ret, err) {
            $api.rmStorage('token');
            api.openWin({
                name: 'index',
                url: '../index.html'
            });
        });
    }

    xhzx.linkUrl = function (url) {
        var _url = '';
        switch (url) {
            case '/course':
                _url = 'course/index.html'
                break;
            default:
        }
        return _url;
    }

    xhzx.loading_progress = function () {
        var html = '<div class="progress-loading animated fadeIn">' +
            '<i class="icon iconfont icon-jiazai animate-spin"></i>' +
            '<div>加载中</div>' +
            '</div>';
        if ($api.dom('.progress-loading.fadeIn') == null) {
            $api.append($api.dom('body'), html);
        }
    }

    xhzx.hide_progress = function () {
        $api.removeCls($api.dom('.progress-loading'), 'fadeIn');
        $api.addCls($api.dom('.progress-loading'), 'fadeOut');
        setTimeout(function () {
            $api.remove($api.dom('.progress-loading'));
        }, 400);
    }

    xhzx.ajaxRequest = function (url, callBack, bodyParam, lightLoadingBox) {
        var common_url = 'http://online.wxjy.com.cn/';
        // var common_url = 'http://192.168.123.140:8080/training_lite/';
        if (api.debug) {
            //common_url = 'http://wyf.ngrok.wyfngork.xyz:801/training_lite/';
            common_url = 'http://192.168.123.140:8080/training_lite/';
        }
        var method = typeof bodyParam == 'undefined' ? 'GET' : 'POST';
        var token = $api.getStorage('token');

        if (lightLoadingBox == undefined) {
            xhzx.loading_progress();
        } else if (lightLoadingBox != '') {
            //需要在数据加载区显示loading提示的情况
            $api.byId(lightLoadingBox).html('<i class="icon iconfont icon-jiazai"></i>');
        }

        api.ajax({
            url: common_url + url,
            method: method,
            dataType: 'text',
            headers: {
                'token': token,
            },
            data: {
                values: bodyParam
            }
        }, function (ret, err) {
            xhzx.hide_progress();
            var _ret = $api.strToJson(ret);
            if (ret.error_code == 500) {//重新回登录页
                xhzx.ErrorBackHome();
            } else {
                callBack(_ret, err);
            }
        });
    }

    xhzx.navigate = function (data, divid) {
        var html = '';

        if (data.length > 0) {
            var _width = (100 / parseInt(data.length)) + '%';

            html += '<div class="navigate-bar white-box"><ul class="clearfix">';

            for (var i in data) {
                var is_active = i == 0 ? 'active' : '';
                html += '<li class="fl" style="width:' + _width + ';"><a class="tabBar-btn ' + is_active + '" href="javascript:;" onclick="changeGroupIndex(' + i + ')">' + data[i].name + '</a></li>';
            }
            html += '</ul></div>';
        }

        $api.byId(divid).innerHTML = html;
    }

    xhzx.horizontal = function () {
        //设置屏幕为横屏
        api.setScreenOrientation({
            orientation: 'landscape_left'
        });
        //设置屏幕全屏，可选
        api.setFullScreen({
            fullScreen: false
        });
        //监听返回事件，设置当前页面为竖屏并关闭，父级页面就是竖屏了
        api.addEventListener({
            name: 'keyback'
        }, function (ret, err) {
            api.closeWin();
            api.setScreenOrientation({
                orientation: 'auto_portrait'
            });
        });
    }

    xhzx.closeHorizontal = function () {
        api.closeWin();
        api.setScreenOrientation({
            orientation: 'auto_portrait'
        });
        api.setFullScreen({
            fullScreen: false
        });
        api.addEventListener({
            name: 'viewappear'
        }, function (ret, err) {
        });
    }

    xhzx.setRefresh = function (callBack) { //下拉刷新
        api.setRefreshHeaderInfo({
            // loadingImg: '../image/loading_more.gif',
            bgColor: '#f5f5f5',
            textColor: '#666',
            textDown: '下拉刷新...',
            textUp: '松开刷新...'
        }, function (ret, err) {
            if (ret) {
                api.refreshHeaderLoadDone();
                callBack();
            } else {
                dialog.alert({
                    title: '提示',
                    msg: JSON.stringify(err),
                    buttons: ['确定']
                }, function (ret, err) {
                    api.refreshHeaderLoadDone();
                });
            }
        });
    }

    xhzx.getCourseImage = function (file_server, photo, w) {
        var avatar = '';
        if (photo != undefined && photo != '') {
          var widthSet = w != undefined ? '?w=' + w : '';
          avatar = file_server + photo + widthSet;
        }else{
          avatar = '../image/course-default-cover.png';
        }
        return avatar;
    }

    xhzx.getPersonImage = function (file_server, photo, w) {
        var avatar = '';
        if (photo != undefined && photo != '') {
          var widthSet = w != undefined ? '?w=' + w : '';
          avatar = file_server + photo + widthSet;
        }else{
          avatar = '../image/default-avatar.png';
        }
        return avatar;
    }

    window.xhzx = xhzx;
})();

function UUID(){
    var d = new Date().getTime();
    var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
        var r = (d + Math.random()*16)%16 | 0;
        d = Math.floor(d/16);
        return (c=='x' ? r : (r&0x7|0x8)).toString(16);
    });
    return uuid;
}

//开启art-template的压缩功能
if (window.template) {
    template.defaults.minimize = true;
}

function reload() {
    window.location.reload();
}
